GET
View a transfer step
Company space For: Stock keeper, Manager · Permission: transfer_steps.retrieve Conditions
  • A transfer is visible to the company that owns it and, once it is no longer a draft, to a company that holds a location of one of its step groups.
  • The step must belong to the transfer.
Part of Plan and run stock transfers.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transfer
string
required

Identifier of the transfer.

step
string
required

Identifier of the transfer step, which must belong to the transfer.

Response

200 - application/json

TransferStepResource

id
string
required

Identifier of the step.

transfer_id
string
required

Identifier of the transfer.

position
integer
required

Order of the step in the route, from 1.

location_group_id
string
required

Location group visited at this step.

status
string
required

upcoming (not reached), current (being operated), done or skipped.

operations_executed_at
string<date-time> | null
required

When the planned stock movements of the step were executed, ISO 8601; null before.

approved_by_company_id
string | null
required

Company that made the step current.

approved_by_user_id
string | null
required

Member who made the step current.

approved_at
string<date-time> | null
required

When the step became current, ISO 8601.

completed_by_company_id
string | null
required

Company that completed the step.

completed_by_user_id
string | null
required

Member who completed the step.

completed_at
string<date-time> | null
required

When the step was completed, ISO 8601.

created_at
string<date-time>
required

Date and time the record was created (ISO 8601, UTC).

updated_at
string<date-time>
required

Date and time the record was last changed (ISO 8601, UTC).

location_group
object

The group of the step (id and name), when loaded.

receipts
TransferStepReceiptResource · object[]

Planned or executed receptions of goods at the locations of the step.

dispatches
TransferStepDispatchResource · object[]

Planned or executed withdrawals of goods from the locations of the step.